/*!
*  @file Floor.h
*  @brief ゲーム中の床地形情報のプロトタイプ
*  @date 2014/02/20
*  @author Deskull
*  2014 Sikabane Works.
*/

#pragma once

#include "stdafx.h"
#include "GameElement.h"
#include "Color.h"
#include "HaveSymbol.h"
#include "HaveHp.h"

namespace Deeangband
{

	/*!
	 * @class Floor
	 * @brief 地形情報のクラス
	 */
	class Floor : public GameElement, public HaveSymbol, public HaveHp
	{
	private:



		bool isWall; //! 壁地形であるかどうかの判定 

		/*!
		 * @brief クラスのシリアライズを設定する
		 * @param archive アーカイブ化するクラスのアドレス
		 * @param version ファイルバージョン
		 * @return XMLSerializeテンプレート
		 */
		template<class Archive> void serialize(Archive &archive, const unsigned int version) 
		{
			if(version >= 0)
			{
			}
		}

	public:

		/*! 
		 * @brief Floorクラスコンストラクタ
		 */
		Floor::Floor(void);

		/*! 
		 * @brief ダミーデータによる初期化
		 * @return なし
		 */
		void Floor::WipeData(void);

		/*! 
		 * @brief Floorクラスデストラクタ
		 */
		Floor::~Floor(void);

		bool Floor::IsWall(); //! @brief 壁地形か否かを返す

	};

}

